Last Comment Bug 764517 - Clearing the list of keywords and then pressing Enter causes the first keyword to be submitted
: Clearing the list of keywords and then pressing Enter causes the first keywor...
Status: RESOLVED FIXED
:
Product: Bugzilla
Classification: Server Software
Component: User Interface (show other bugs)
: 4.0.6
: All All
: -- normal (vote)
: Bugzilla 4.2
Assigned To: Byron Jones ‹:glob›
: default-qa
Mentors:
Depends on:
Blocks: 780883
  Show dependency treegraph
 
Reported: 2012-06-13 12:10 PDT by :Ehsan Akhgari (out sick)
Modified: 2012-08-07 08:49 PDT (History)
3 users (show)
LpSolit: approval+
LpSolit: approval4.2+
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
patch v1 (358 bytes, patch)
2012-06-15 00:34 PDT, Byron Jones ‹:glob›
dkl: review+
Details | Diff | Review

Description :Ehsan Akhgari (out sick) 2012-06-13 12:10:52 PDT
STR:

1. Open a bug with a keyword.
2. Clear the list of the keywords, and then press Enter.  You have now chosen the first keyword in the list!
Comment 1 David Lawrence [:dkl] 2012-06-13 12:14:31 PDT
Not a BMO customization so we will push upstream and work it from there.

dkl
Comment 2 neil@parkwaycc.co.uk 2012-06-14 07:44:12 PDT
Also fails if you leave the comma at the end of the list, i.e.
1. Start with "access, checkin-needed"
2. Delete "checkin-needed", but retain the comma after "access"
3. Press Enter.
4. Watch "#relman/triage/defer-to-group" get added.
Comment 3 Byron Jones ‹:glob› 2012-06-15 00:34:55 PDT
Created attachment 633420 [details] [diff] [review]
patch v1

this patch disables autoHighlight when the query is empty.
Comment 4 David Lawrence [:dkl] 2012-07-08 15:02:03 PDT
Comment on attachment 633420 [details] [diff] [review]
patch v1

Review of attachment 633420 [details] [diff] [review]:
-----------------------------------------------------------------

nice. r=dkl
Comment 5 Byron Jones ‹:glob› 2012-07-24 01:59:53 PDT
Committing to: bzr+ssh://bjones%40mozilla.com@bzr.mozilla.org/bugzilla/4.2
modified js/field.js
Committed revision 8102.

Committing to: bzr+ssh://bjones%40mozilla.com@bzr.mozilla.org/bugzilla/trunk/
modified js/field.js
Committed revision 8294.

Note You need to log in before you can comment on or make changes to this bug.